Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044678
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-07-23 17:252020-08-10 11:58
Reportercollazoandy4View Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044678: A warning message is shown if the discount selected has no amount defined

DescriptionWhen a discount has no amount defined a warning message is shown when the discount is selected before the user can set the amount
Steps To ReproduceAs White Valley Admin Role:
  Go to Discount and Promotion windows and select Insect repellent 10 EUR Discount record
    Remove the value in Discounted Amount field and save the record

Log in VBS-1 Pos terminal
  Add Insect repellent product
  Click on Discount button
    Click on Receipt Discount
    In the popup opened select Insect repellent 10 EUR Discount record
  Check a warning message is shown 'Some discount information is missing, the promotion could not be applied: Discount amount'
  Set a value of 20 click on Apply to all lines and Click Apply button and check the discount line is added in the the receipt line
Proposed SolutionAdd a new validation in ticketdiscount.js to avoid show the unnecesary warning message after the discount is selected in the popup.
TagsNo tags attached.
Attached Filespatch file icon org.openbravo.retail.posterminal.patch [^] (3,225 bytes) 2020-07-23 17:25 [Show Content]
patch file icon org.openbravo.retail.discounts.category.patch [^] (1,148 bytes) 2020-07-23 17:26 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121923)
hgbot (developer)
2020-08-09 17:03

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/51 [^]
(0121940)
hgbot (developer)
2020-08-10 11:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 51da0a0a6dfa3ba34c33f524cb6fa69dfea276c7
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-08-10T09:57:56+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/51da0a0a6dfa3ba34c33f524cb6fa69dfea276c7 [^]

Fixed ISSUE-44678: Amount should not be validated when seleting Variable discount
* When selecting variable amount discount without amt defined, warning message should not be shown because user may add the amount after selecting the discount

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0121941)
hgbot (developer)
2020-08-10 11:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/51 [^]

- Issue History
Date Modified Username Field Change
2020-07-23 17:25 collazoandy4 New Issue
2020-07-23 17:25 collazoandy4 Assigned To => Retail
2020-07-23 17:25 collazoandy4 File Added: org.openbravo.retail.posterminal.patch
2020-07-23 17:25 collazoandy4 Triggers an Emergency Pack => No
2020-07-23 17:26 collazoandy4 File Added: org.openbravo.retail.discounts.category.patch
2020-07-27 10:41 kchoperena Priority normal => high
2020-07-30 13:30 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-08-03 08:08 ranjith_qualiantech_com Status new => scheduled
2020-08-09 17:03 hgbot Note Added: 0121923
2020-08-10 11:58 hgbot Resolution open => fixed
2020-08-10 11:58 hgbot Status scheduled => closed
2020-08-10 11:58 hgbot Fixed in Version => RR20Q4
2020-08-10 11:58 hgbot Note Added: 0121940
2020-08-10 11:58 hgbot Note Added: 0121941


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker